Subject: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jun 2015 17:49:50 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Mon, 29 Jun 2015 13:08:48 +0300
> 
> On 06/29/2015 05:36 AM, Eli Zaretskii wrote:
> 
> >>> See cedet/semantic/symref/grep.el for when we don't want 'always'.
> >>
> >> We don't want `auto' there either, do we?
> >
> > I think 'auto' does TRT there.
> 
> In any case, we have to explicitly get rid of `always' in this command.

Obviously.  Not sure what is the significance of this conclusion,
though.  But then I don't understand where does this discussion go
anyway.

> >> But now we can simply bind it to nil.
> >
> > We could, if we want to test Grep's output ourselves.  That is, we
> > will have to decide when to bind it to nil and when to non-nil,
> 
> What do you mean by "test"?

"Examine".  The behavior with pipes, files, consoles, and ptys is
different.

> My point is, we have to decide whether to highlight matches or not, if 
> only to be compatible with Windows. And by "we", I mean in the 
> implementation of each given command.

Yes, the alternative is to do everything in Lisp, and then use only
"--color=no" or "--color=always", as appropriate.

> > depending on the device/file used as Grep's output (which is
> > system-dependent).
> 
> Whether we want a given command to use a colorized Grep output, is not 
> dependent on the OS, is it?

I don't think so.  But it might depend on the values of grep-program
etc., i.e. on user customizations.  Users might want to put shell
scripts or pipelines there.